MPI_Comm_set_info(3)

NAME
MPI_Comm_set_info - Set communicator info hints

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Comm_set_info(MPI_Comm comm, MPI_Info info)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_COMM_SET_INFO(COMM, INFO, IERROR)
	INTEGER	COMM, INFO, IERROR

INPUT PARAMETERS

comm
    Communicator on which to set info hints

info
    Info object containing hints to be set on comm

OUTPUT PARAMETERS

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_COMM_SET_INFO sets new values for the hints of the communicator associated with comm. MPI_COMM_SET_INFO is a collective routine. The info object may be different on each process, but any info entries that an implementation requires to be the same on all processes must appear with the same value in each process's info object.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO
MPI_Comm_get_info, MPI_Info_create, MPI_Info_set, MPI_Info_free